com.explodingpixels.widgets

## Class PopdownButton

- java.lang.Object
- - com.explodingpixels.widgets.PopdownButton

    public class PopdownButton
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`PopdownButton(Icon icon, PopupMenuCustomizer popupMenuCustomizer)`

### Method Summary

Methods
`JComponent` `getComponent()`
`void` `setBackgroundPainter(Painter<AbstractButton> painter)`
`void` `setPressedIcon(Icon pressedIcon)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PopdownButton

    public PopdownButton(Icon icon,
                 PopupMenuCustomizer popupMenuCustomizer)

### Method Detail

#### setBackgroundPainter

    public void setBackgroundPainter(Painter<AbstractButton> painter)

#### getComponent

    public JComponent getComponent()

#### setPressedIcon

    public void setPressedIcon(Icon pressedIcon)